spring:
    profiles:
        active: locp
    cache:
        type: redis
    redis:
        lettuce:
            pool:
                max-active: 10
                max-idle: 10
                min-idle: 2
        host: localhost
        port: 6379
        password: 

logging:
    config: classpath:log/logback-locp.xml
    
domain:
    admin: //lpadmin.wivismall.com
    wivis: //lpfront.wivismall.com
    image: //image.wivismall.com/speedy_image-wivismall
    uximage: //lpadmin.wivismall.com

upload:
    dext.target.path: /WIDE/workspace/files/data/style24/dext
    default:
        target.path: /WIDE/workspace/files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png|bmp|txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
        view: //lpimage.style24.com
    goods:
        target.path: /WIDE/workspace/files/data/style24/Upload/ProductImage
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //lpimage.style24.com/Upload/ProductImage
    image:
        target.path: /WIDE/workspace/files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //lpimage.style24.com
    excel:
        target.path: /WIDE/workspace/files/data/style24
        max.size: 10
        allow.extension: xls|xlsx
        view: //lpimage.style24.com/excel
    sample:
        target.path: /WIDE/workspace/files/data/style24/sample
        max.size: 10
        allow.extension: txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
        view: //lpimage.style24.com/sample

download.path: /WIDE/workspace/files/data

# SMTP(naver의 본인 username과 password, from(메일주소) 입려 후 테스트 하면 됨)
mail:
    host: mail.wivis.com
#    port: 465
    username: admin@wivis.com
    password: dnlqltm1!
    protocol: smtp
#    tls: true
    auth: true
    from: admin@wivis.com
    wivis.url: //lpfront.wivismall.com
    image.url: //lpfront.wivismall.com/image/mailing
    template.path: /WIDE/workspace/webapps/wivis/wivismall.admin/src/main/webapp/WEB-INF/mail
# 사방넷 API
sabangnet:
    xml:
        path: /WIDE/workspace/webapps/wivis/wivismall.admin/src/main/webapp/sabangnet
        url: http://112.172.147.34:88

# PG
pg:
    kcp:
        log.dir: /WIDE/workspace/files/data/style24/logs/front
        gw:
            url: paygw.kcp.co.kr
            port: 8090
        user.type: PGNW
        js.url: https://pay.kcp.co.kr/plugin/payplus_web.jsp
        server: true
        site:
            cd: U3476
            key: 4aVa--.Xz8Fc78nwYPsrmmY__
            name: ISTYLE
        log.level: 3
        module.type: 01
        tx.mode: 0
        receipt.url : https://admin8.kcp.co.kr/assist/bill.BillActionNew.do

# 네이버페이 API
naverPay:
    apiUrl: https://apis.naver.com/
    payUrl:
        web : pay.naver.com
        mob : m.pay.naver.com

